objfw-new(1)

NAME
objfw-new - create source code from templates

SYNOPSIS
objfw-new --app|--class|--test [--superclass=class] [--property=property] name

DESCRIPTION
objfw-new is a program which creates source code from templates.

OPTIONS

-a, --app
    Create a new app.

-c, --class
    Create a new class.

-h, --help
    Show the help.

-p property, --property=property
    Add a property to the class. See examples for syntax.

-s class, --superclass=class

-t, --test
    Create a new test.

EXAMPLES
Create a new application:

    objfw-new -a MyApp

Create a new class Dog with a property name and superclass Animal:

    objfw-new -c -s Animal -p '(copy, nonatomic) OFString *name' Dog

Create a new test:

    objfw-new -t DogTest

SEE ALSO
objfw-compile(1)